package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundInfoPerformance;
import com.tanpu.fund.entity.generator.FundInfoPerformanceExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundInfoPerformanceMapper {
    long countByExample(FundInfoPerformanceExample example);

    int deleteByExample(FundInfoPerformanceExample example);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundInfoPerformance record);

    int insertOrUpdate(FundInfoPerformance record);

    int insertOrUpdateSelective(FundInfoPerformance record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundInfoPerformance record);

    List<FundInfoPerformance> selectByExample(FundInfoPerformanceExample example);

    int updateByExampleSelective(@Param("record") FundInfoPerformance record, @Param("example") FundInfoPerformanceExample example);

    int updateByExample(@Param("record") FundInfoPerformance record, @Param("example") FundInfoPerformanceExample example);

    int batchInsert(@Param("list") List<FundInfoPerformance> list);
}